#!/usr/bin/env python

import os
import os.path

def readEnvironmentFile(environmentFile):
    fp = open(environmentFile,'r')
    for line in fp.readlines():
        if (line[0] == '#'):
            continue
        trimmedLine = line.strip()
        if (len(trimmedLine) == 0):
            continue
        keyVal = trimmedLine.lstrip('export ').replace('"','').split('=')
        if (len(keyVal) != 2):
            print "Error! " + str(keyVal)
        else:
            key = keyVal[0]
            value = os.path.expandvars(keyVal[1])
            os.environ[key] = value
    fp.close()
    return os.environ

if __name__ == "__main__":
    gipsyEnvironmentFile = '/share/apps/cwu/etc/defaults'
    env = readEnvironmentFile(gipsyEnvironmentFile)
    print env
