#!/usr/bin/env python

def read(filename):
    fp = open(filename,"r")

    names = set()
    for line in fp:
        items = line.split()
        name = items[0]
        names.add(name.lower())

    fp.close()

    return names

known_sites = read("/share/apps/cwu/etc/proj_lists/pbo_reanalysis/na_loc")
known_sites.update(read("/share/apps/cwu/etc/proj_lists/pbo_reanalysis/reanalysis_loc"))

files = ('pbo_analysis_site_data_for_yesterday_expected_found.txt',
         'pbo_analysis_site_data_for_yesterday_expected_not_found.txt',
         'pbo_analysis_site_data_for_yesterday_not_expected_pending.txt',
         'pbo_analysis_site_data_for_yesterday_not_expected_removed.txt',
         'pbo_analysis_sites_cors.txt',
         'pbo_analysis_sites_sopac.txt')
expected_sites = set()
for file in files:
    expected_sites.update(read("/tmp/%s" % (file)))

diff = expected_sites.difference(known_sites)
print diff
