#!/usr/bin/env python

import env
from email.mime.text import MIMEText
import smtplib
import subprocess

def mergeNetwork(project,date,ac,orb,makeSinex=False):
    """
    Generate a summary
    """
    gipsyEnvironment = env.readEnvironmentFile("/share/apps/cwu/etc/defaults")

    args = ['/share/apps/cwu/bin/mrg-net','-proj',project,'-date',date,'-ac',ac,
            '-orb',orb]

    if (makeSinex):
        args.append('-snx')
    p = subprocess.Popen(args,env=gipsyEnvironment,stdout=subprocess.PIPE)
    (stdout,stderr) = p.communicate()

    return stdout

if __name__ == "__main__":
    message = mergeNetwork('pbo-reanalysis','1996-01-01','jgp','final',makeSinex=True)
    print message
