package GPS::IPNames;

use Exporter;

@ISA = ('Exporter');

@EXPORT = qw/get_ftp_ip/;

sub get_ftp_ip {
  my %ip=();
  open( my $fh ,"<","$ENV{GPS_HOME_DIR}/etc/ftp_names_ip") 
    or die "Couldn't open $ENV{GPS_HOME_DIR}/etc/ftp_names_ip $!\n";
    while( <$fh> ) {
      chomp;
      s/#.*//;
      s/^\s.*//;
      s/\s*$//;
      next unless length;    #skip blank lines
      my ($n,$i) = split ' ',$_;
      $ip{$n}=$i;
    }
    return %ip
}

1;
